Sequences

Get Step Variants

GET/v1/sequences/{sequenceId}/steps/{stepId}
GET
/v1/sequences/{sequenceId}/steps/{stepId}

Get sequence step variants

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Path Parameters

sequenceIdstring

The ID of the sequence

stepIdstring

The ID of the step

Responses

200
Sequence step variants fetched successfully
[
  {
    "id": "MAwgmlAKaN",
    "payload": {
      "subject": "Quick Question, {{First name}}!",
      "content": "<div><p>Hi {{First Name}},</p></div>",
      "preheader": ""
    },
    "taskNote": null,
    "status": 1,
    "type": 1,
    "executionType": 1,
    "stepStatus": 1
  }
]

Request

curl -X GET \
  "https://open-api.saleshandy.com/v1/sequences/{sequenceId}/steps/{stepId}" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

No response body